Unresolved Dependencies Error When Installing 2018 Software to Industrial Controller

Updated Aug 31, 2018

Reported In

Hardware

  • Industrial Controller

Software

  • Measurement & Automation Explorer (MAX)

Driver

  • Industrial Controller Device Drivers

Issue Details

When I try to install software (like DAQmx 18.0 or XNET 18.0) to my Industrial Controller, I receive an error stating "Cannot continue because of the following unresolved dependencies:" but there are no dependencies listed.
 

Solution

Update the firmware of your device to the latest available version (6.0.0f1 or later) which is installed with Industrial Controller Device Drivers 18.0.
  1. Launch NI Measurement and Automation Explorer (MAX).
  2. Under Remote Systems, select your Industrial Controller.
  3. In the right panel, select the System Settings tab, and click the Update Firmware button.
  4. By default, you should be directed to the file path containing the Industrial Controller firmware. Choose the latest available version which should be 6.0.0 or later.

 

WAS THIS ARTICLE HELPFUL?

Not Helpful